Bug 1685325 - PQG verify fails when create DSA PQG parameters because the counts aren't returned correctly.
Summary: PQG verify fails when create DSA PQG parameters because the counts aren't ret...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nss
Version: 8.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.0
Assignee: Bob Relyea
QA Contact: Simo Sorce
URL:
Whiteboard:
Depends On:
Blocks: 1701002 1677443
TreeView+ depends on / blocked
 
Reported: 2019-03-05 00:40 UTC by Bob Relyea
Modified: 2019-07-30 19:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-30 19:49:59 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Fix PQG to 1) update counter values, 2) handle verify with new counters, 3) create seeds correctly if seedlen > 512 (19.02 KB, patch)
2019-04-23 18:10 UTC, Bob Relyea
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1546477 'P1' 'RESOLVED' 'FIPS review changes.' 2019-12-04 18:06:48 UTC
Red Hat Product Errata RHSA-2019:1951 None None None 2019-07-30 19:50:15 UTC

Description Bob Relyea 2019-03-05 00:40:10 UTC
PQG verification fails because the counts are returned correctly. This can cause PGG generation to fail unless the parameters are very specifically crafted.

Comment 5 Bob Relyea 2019-04-23 18:10:38 UTC
Created attachment 1557837 [details]
Fix PQG to 1) update counter values, 2) handle verify with new counters, 3) create seeds correctly if seedlen > 512

Comment 6 Bob Relyea 2019-05-09 22:08:04 UTC
NOTE: this patch is being reviewed upstream, It's not yet pushed there yet.

Comment 11 Simo Sorce 2019-06-21 15:45:25 UTC
Patch is in SRPM and was applied at build time.

Comment 16 errata-xmlrpc 2019-07-30 19:49:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1951


Note You need to log in before you can comment on or make changes to this bug.